SUP-SYNC(1)

NAME

sup-sync - sychronize the Sup index with message sources

SYNOPSIS

sup-sync [options] source ...

DESCRIPTION

Synchronizes the Sup index with one or more message sources by adding messages, deleting messages, or changing message state in the index as appropriate.

"Message state" means read/unread, archived/inbox, starred/unstarred, and all user-defined labels on each message.

"Default source state" refers to any state that a source itself has keeps about a message. Sup-sync uses this information when adding a new message to the index. The source state is typically limited to read/unread, archived/inbox status and a single label based on the source name. Messages using the default source state are placed in the inbox (i.e. not archived) and unstarred.

If no sources are given, sync from all usual sources. Supported source URI schemes can be seen by running "sup-add --help".

MESSAGE STATE OPTIONS

--asis
    If the message is already in the index, preserve its state. Otherwise, use default source state (default)

--restore dumpfile
    Restore message state from a dump file created with sup-dump. If a message is not in this dumpfile, act as --asis

--discard
    Discard any message state in the index and use the default source state. Dangerous!

-x, -
    When using the default source state, mark messages as archived.

-r, --read
    When using the default source state, mark messages as read.

--extra-labels STRING
    When using the default source state, also apply these user-defined labels (a comma-separated list) (default)

OTHER OPTIONS

-v, --verbose
    Print message ids as they're processed.

-o, --optimize
    As the final operation, optimize the index.

--all-sources
    Scan over all sources.

-n, --dry-run
    Don't actually modify the index. Probably only useful with --verbose.

--version
    Show version information

-h, --help
    Show help message

FILES

$HOME/.sup/sources.yaml
    Configuration file for Sup mail sources

SEE ALSO

sup(1), sup-add(1), sup-config(1), sup-dump(1), sup-sync-back-maildir(1), sup-tweak-labels(1)

REPORTING BUGS

You are welcome to submit bug reports to the Sup issue tracker, located at

<https://github.com/sup-heliotrope/sup/issues>

CONTACT INFORMATION

The Sup web page:
    <http://supmua.org/>

Code repository:
    <https://github.com/sup-heliotrope/sup/>

Sup Wiki:
    <https://github.com/sup-heliotrope/sup/wiki/>

Sup IRC channel:
    #sup @ freenode.net

Mailing list:
    supmua@googlegroups.com

    supmua+subscribe@googlegroups.com

    Archives: <https://groups.google.com/d/forum/supmua/>

COPYRIGHT

Copyright © 2006-2009 William Morgan <mworgan-sup@masanjin.net>

Copyright @ 2013-2014 Sup developers

Permission is granted to copy and distribute this manual under the terms of the GNU General Public License; either version 2 or (at your option) any later version.

AUTHORS
Sup was originally written by William Morgan <wmorgan-sup@masanjin.net> and is now developed and maintained by the Sup developers.